#include <bits/stdc++.h>
using namespace std;

void solve(){
    int n, m; cin >> n >> m;
    int a, b, t;
    for(int i=0; i<m; i++){
        cin >> a >> b >> t;
    }
    int u, v; cin >> u >> v;
    if(u==v){cout << 0;}
    else{cout << 1;}
}

int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cerr.tie(0);
    solve();
    return 0;
}